Subject: bug#50339: closed (Re: bug#50339: master creashed in compact_small_strings)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 21 Sep 2021 07:42:01 +0000

Your bug report

#50339: master creashed in compact_small_strings

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50339: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50339
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#50339: master creashed in compact_small_strings
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 21 Sep 2021 00:41:37 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Richard Stallman <[email-masked]> writes:

>   > > Alas, my machine crashed and that session was lost.
>
>   > Should this bug remain open, or does that preclude us making any further
>   > progress here?
>
> I can't do any further debugging on the process which crashed.
> So I can't contribute any further for the moment.
> Whether to close the ticket isup to you.
>
>   >   I can see that you discussed that this might have been
>   > caused by a hardware issue.
>
> That was just speculation, of course.  But I could not see how obeying
> the instructions in that code could have produced this result.
>
> Perhaps a bug in a signal handler could have done it.

OK, let's close it for now then, under the assumption that there is not
much we can do to make any progress here given that the session was
lost.

I suppose that our best chance to catch it, if it is indeed a bug in our
code, would be for someone to run into this crash again.  For better or
for worse.

Subject: master creashed in compact_small_strings
From: Richard Stallman <[email-masked]>
To: [email-masked]
Date: Thu, 02 Sep 2021 12:04:34 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

Master from May 11 crashed in __memmove_ssse3, called from
compact_small_strings.  Is there any debugging I can do,
before that gdb session is lost when my laptop next crashes?

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)